moSolContinue(3)

NAME
moSolContinue - Class that describes a stop criterion for a solution-based heuristic.

SYNOPSIS

#include <moSolContinue.h>

Inherits eoUF< const EOT &, bool >.

Inherited by moGenSolContinue< EOT >.

  Public Member Functions
virtual void init ()=0
Procedure which initialises all that the stop criterion needs.

Detailed Description

  template<class EOT> class moSolContinue< EOT >
Class that describes a stop criterion for a solution-based heuristic. It allows to add an initialisation procedure to an object that is a unary function (eoUF).

Definition at line 22 of file moSolContinue.h.

Member Function Documentation

  template<class EOT> virtual void moSolContinue< EOT >::init () [pure virtual]

Procedure which initialises all that the stop criterion needs.

Generally, it allocates some data structures or initialises some counters.

Implemented in moGenSolContinue< EOT >.

Author

Generated automatically by Doxygen for PARADISEO-MO from the source code.